// ライセンス: GPL2

#ifndef _DISPATCHABLE_H
#define _DISPATCHABLE_H

#include <glibmm.h>

namespace SKELETON
{
    class Dispatchable
    {
        Glib::Dispatcher m_dispatch;

      public:

        Dispatchable();
        virtual ~Dispatchable();

      protected:

        void dispatch();
        void set_dispatchable( bool dispatchable ){}
        virtual void callback_dispatch() = 0;
    };
}

#endif
